<?php
namespace Incoviba\nuevo\Inmobiliaria;

use Incoviba\nuevo\Common\Banco;
use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property int cuenta
 * @property Banco banco_id
 * @property Inmobiliaria inmobiliaria_rut
 * @property string usuario
 * @property string password
 *
 */
class Cuenta extends NewModel
{
	protected static $_table = 'cuentas';
	
    //
    public function inmobiliaria()
    {
    	return $this->belongsTo(Inmobiliaria::class, 'inmobiliaria_rut', 'rut')->findOne();
    }
    public function banco()
    {
    	return $this->belongsTo(Banco::class, 'banco_id')->findOne();
    }
}
